com.io7m.jstructural.core

## Class SVerbatim

- java.lang.Object
- - com.io7m.jstructural.core.SVerbatim

- All Implemented Interfaces:
    SFootnoteContent, SFormalItemContent, SListItemContent, SParagraphContent, STableCellContent

      @Immutable
      public final class SVerbatim
      extends Object
      implements SFootnoteContent, SListItemContent, SParagraphContent, SFormalItemContent, STableCellContent

  A verbatim text element.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `<A> A` | `footnoteContentAccept(SFootnoteContentVisitor<A> v)` Accept a footnote content visitor.
    `<A> A` | `formalItemContentAccept(SFormalItemContentVisitor<A> v)` Accept a formal item content visitor.
    `String` | `getText()`
    `com.io7m.jfunctional.OptionType<String>` | `getType()`
    `int` | `hashCode()`
    `<A> A` | `listItemContentAccept(SListItemContentVisitor<A> v)` Accept a list item content visitor.
    `<A> A` | `paragraphContentAccept(SParagraphContentVisitor<A> v)` Accept a paragraph content visitor.
    `<A> A` | `tableCellContentAccept(STableCellContentVisitor<A> v)` Accept a table cell content visitor.
    `static SVerbatim` | `verbatim(String text)` Construct a new verbatim element with the given text.
    `static SVerbatim` | `verbatimTyped(String text, String type)` Construct a new verbatim element with the given text and type attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### verbatim

          public static SVerbatim verbatim(String text)

      Construct a new verbatim element with the given text.
      Parameters:
        `text` - The text
      Returns:
        A new term

    - #### verbatimTyped

          public static SVerbatim verbatimTyped(String text,
                                                String type)

      Construct a new verbatim element with the given text and type attribute.
      Parameters:
        `text` - The text
        `type` - The type attribute
      Returns:
        A new term

    - #### equals

          public boolean equals(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### footnoteContentAccept

          public <A> A footnoteContentAccept(SFootnoteContentVisitor<A> v)
                                      throws Exception

      Description copied from interface: `SFootnoteContent`
      Accept a footnote content visitor.
      Specified by:
        `footnoteContentAccept` in interface `SFootnoteContent`
      Type Parameters:
        `A` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor.
      Throws:
        `Exception` - If the visitor raises and `Exception`

    - #### formalItemContentAccept

          public <A> A formalItemContentAccept(SFormalItemContentVisitor<A> v)
                                        throws Exception

      Description copied from interface: `SFormalItemContent`
      Accept a formal item content visitor.
      Specified by:
        `formalItemContentAccept` in interface `SFormalItemContent`
      Type Parameters:
        `A` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor.
      Throws:
        `Exception` - If the visitor raises and `Exception`

    - #### getText

          public String getText()

      Returns:
        The term's text

    - #### getType

          public com.io7m.jfunctional.OptionType<String> getType()

      Returns:
        The term's type attribute

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### listItemContentAccept

          public <A> A listItemContentAccept(SListItemContentVisitor<A> v)
                                      throws Exception

      Description copied from interface: `SListItemContent`
      Accept a list item content visitor.
      Specified by:
        `listItemContentAccept` in interface `SListItemContent`
      Type Parameters:
        `A` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor.
      Throws:
        `Exception` - If the visitor raises and `Exception`

    - #### paragraphContentAccept

          public <A> A paragraphContentAccept(SParagraphContentVisitor<A> v)
                                       throws Exception

      Description copied from interface: `SParagraphContent`
      Accept a paragraph content visitor.
      Specified by:
        `paragraphContentAccept` in interface `SParagraphContent`
      Type Parameters:
        `A` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor.
      Throws:
        `Exception` - If the visitor raises and `Exception`

    - #### tableCellContentAccept

          public <A> A tableCellContentAccept(STableCellContentVisitor<A> v)
                                       throws Exception

      Description copied from interface: `STableCellContent`
      Accept a table cell content visitor.
      Specified by:
        `tableCellContentAccept` in interface `STableCellContent`
      Type Parameters:
        `A` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor.
      Throws:
        `Exception` - If the visitor raises and `Exception`

Copyright © 2015 <code@io7m.com> http://io7m.com